<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 2017/11/3
 * Time: 上午11:21
 */

define('BASE_ROOT_PATH',str_replace('/test','',dirname(__FILE__)));

require_once(BASE_ROOT_PATH . '/fooder.php');
require_once(BASE_ROOT_PATH . '/helper/search/tcp_client.php');
require_once(BASE_ROOT_PATH . '/helper/async/IAsync.php');
require_once(BASE_ROOT_PATH . '/helper/async/status.php');
require_once(BASE_ROOT_PATH . '/helper/async/register.php');
require_once(BASE_ROOT_PATH . '/helper/fcode/present_manager.php');
require_once(BASE_ROOT_PATH . '/helper/schema_helper.php');

class TestAsyncPush extends PHPUnit_Framework_TestCase
{
    public static function setUpBeforeClass() {
        Base::run_util();
    }
    public function testRegister()
    {
        $iPusher = new async\register(39623,0);
        $iPusher->run();
    }
}
